#region Using Directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Windows.Forms;

#endregion

namespace ValidationDemo.Win
{
    public class DataListBindingCollection<T> : BindingList<DataListItem<T>>
    {

        public void Add(T value, string dataText)
        {
            this.Add(new DataListItem<T>(value, dataText));
        }

        public void BindControl(ListControl list)
        {
            list.ValueMember = "Value";
            list.DisplayMember = "Text";
            list.DataSource = this;
        }

    }
}
