﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="TwoWayDataBindForm.aspx.cs" Inherits="TwoWayDataBindForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Validation Demo</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:FormView ID="formPerson" runat="server" DefaultMode="Edit" DataSourceID="PersonSource" CellPadding="4" ForeColor="#333333">
            <EditItemTemplate>
                <table>
                <tr>
                    <td>First Name:</td>
                    <td>
                        <asp:TextBox ID="txtFirstName" runat="server" Text='<%# Bind("FirstName") %>'/>
                    </td>
                </tr>
                <tr>
                    <td>Last Name:</td>
                    <td>
                        <asp:TextBox ID="txtLastName" runat="server" Text='<%# Bind("LastName") %>'/>
                    </td>
                </tr>
                <tr>
                    <td>Age:</td>
                    <td>
                        <asp:TextBox ID="txtAge" runat="server" Text='<%# Bind("Age") %>'/>
                    </td>
                </tr>
                <tr>
                    <td>Email:</td>
                    <td>
                        <asp:TextBox ID="txtEmail" runat="server" Text='<%# Bind("EmailAddress") %>'/>
                    </td>
                </tr>
                <tr>
                    <td>Card Type:</td>
                    <td>
                        <asp:DropDownList ID="ddlCardType" runat="server" SelectedValue='<%#Bind("CardType") %>'>
                            <asp:ListItem Selected="true" Value="Invalid" Text="(Select)" />
                            <asp:ListItem Value="Visa" Text="Visa" />
                            <asp:ListItem Value="MasterCard" Text="Mastercard" />
                            <asp:ListItem Value="Amex" Text="Amex" />
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>Card Number:</td>
                    <td>
                        <asp:TextBox ID="txtCardNumber" runat="server" Text='<%#Bind("CreditCardNumber") %>' />
                        <asp:CustomValidator ID="custValCreditCard" runat="server" ErrorMessage="Credit card is not valid." Display="Dynamic" OnServerValidate="OnCreditCardValidate" />
                    </td>
                </tr>
                <tr>
                    <td>Order Total Price:</td>
                    <td>
                        <asp:TextBox ID="txtOrderTotal" runat="server" Text='<%#Bind("OrderTotal") %>' />
                    </td>
                </tr>
                <tr>
                    <td><asp:LinkButton ID="lnkUpdate" runat="server" Text="Update" CommandName="Update" /></td>
                    <td><asp:LinkButton ID="lnkCancel" runat="server" Text="Cancel" CommandName="Cancel" /></td>
                </tr>
                </table>
           
            </EditItemTemplate>
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        </asp:FormView>
        
        <asp:ObjectDataSource ID="PersonSource" runat="server" DataObjectTypeName="Person" SelectMethod="GetItem" TypeName="PersonMapper" UpdateMethod="SaveItem" OnUpdated="OnPersonSourceUpdated">
            <SelectParameters>
                <asp:Parameter DefaultValue="1" Name="id" Type="Int32" />
            </SelectParameters>
        
        </asp:ObjectDataSource>
    </div>
    </form>
</body>
</html>
