#region Using Directives

using System;
using System.Collections.Generic;

#endregion

namespace ValidationFramework
{
    public class CustomValidationEventArgs : EventArgs
    {

        #region Private Fields

        private string errorMessage;
        private bool isValid;

        #endregion


        #region Public Properties

        public string ErrorMessage
        {
            get
            {
                return errorMessage;
            }
            set
            {
                errorMessage = value;
            }
        }

        public bool IsValid
        {
            get
            {
                return isValid;
            }
            set
            {
                isValid = value;
            }
        }

        #endregion


        #region Constructors

        public CustomValidationEventArgs()
        {
        }

        public CustomValidationEventArgs(string errMessage, bool valid)
        {
            this.errorMessage = errMessage;
            this.isValid = valid;
        }

        #endregion

    }
}
